API referenceNetworkingDHCP configs
Update a DHCP config
Requires the dhcp_configs:update permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/dhcp-configs/string" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "dns": [ "string" ], "domain_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ipv6_dns": [ "string" ], "lease_seconds": 0, "name": "string", "ntp_servers": [ "string" ], "options": { "property1": "string", "property2": "string" }, "tags": { "property1": "string", "property2": "string" }, "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z"}